Bug 739716 - muParser 1.34 breaks SciDaVis
Summary: muParser 1.34 breaks SciDaVis
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: muParser
Version: 15
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Fabian Deutsch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-19 20:19 UTC by Jacek Pawlyta
Modified: 2011-11-25 02:23 UTC (History)
3 users (show)

Fixed In Version: scidavis-0.2.4-5.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-08 18:43:28 UTC


Attachments (Terms of Use)

Description Jacek Pawlyta 2011-09-19 20:19:18 UTC
Description of problem:

upgrading muParser from 1.32 to 1.34 breakes SciDaVis 

Version-Release number of selected component (if applicable):
1.34-1.fc15.x86_64

How reproducible:
always

Steps to Reproduce:
1. upgrade muParser to 1.34
2. run scidavis

  
Actual results:
scidavis: undefined symbol: _ZN2mu10ParserBase10DefineOprtERKSsPFdddEjb


Expected results:
running scidavis

Comment 1 Fabian Deutsch 2011-09-20 11:13:04 UTC
scidavis is currently orphaned, but I know about the problem and will see how to fix this.

Comment 2 Fedora Update System 2011-11-07 09:49:40 UTC
scidavis-0.2.4-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/scidavis-0.2.4-5.fc14

Comment 3 Fedora Update System 2011-11-07 09:49:57 UTC
scidavis-0.2.4-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/scidavis-0.2.4-5.fc15

Comment 4 Jacek Pawlyta 2011-11-08 18:43:28 UTC
 scidavis-0.2.4-5.fc15 fixes this issue,
I'm closing the bug.

Comment 5 Fedora Update System 2011-11-25 02:02:29 UTC
scidavis-0.2.4-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-11-25 02:23:48 UTC
scidavis-0.2.4-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.